Skip to main content
GET
/
tenant-details
Get tenant details
curl --request GET \
  --url https://api.artu.ai/tenant-details \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data": {
    "name": "<string>",
    "scopeData": {
      "MX": {
        "rfc": "<string>",
        "actividadVulnerable": {
          "ARI": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "AVI": {
            "collegiateEntityCode": "<string>",
            "exempt": true,
            "platformDomain": "<string>"
          },
          "INM": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "JYS": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "MJR": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "MPC": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "TSC": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          },
          "VEH": {
            "collegiateEntityCode": "<string>",
            "exempt": true
          }
        },
        "cnbv": {
          "TRANSMISOR": {
            "organoSupervisor": "<string>",
            "claveSujetoObligado": "<string>",
            "localidad": "<string>",
            "sucursal": "<string>",
            "agenteNombre": "<string>",
            "agenteApellidoPaterno": "<string>",
            "agenteApellidoMaterno": "<string>",
            "agenteRfc": "<string>",
            "agenteCurp": "<string>"
          }
        }
      }
    },
    "settings": {
      "enablePostalCodeValidation": true
    }
  },
  "scopes": [],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Response

200 - application/json
object | null

OK

id
string<uuid>
required
data
object
required
scopes
enum<string>[]
required
Available options:
base,
MX:AV,
MX:AV:ARI,
MX:AV:AVI,
MX:AV:INM,
MX:AV:JYS,
MX:AV:MJR,
MX:AV:MPC,
MX:AV:TSC,
MX:AV:VEH,
MX:CNBV,
MX:CNBV:TRANSMISOR,
MX
createdAt
string<date-time>
required
updatedAt
string<date-time>
required